# Group page

Endpoint: GET /g/{groupName}
Version: 1.0
Security: header

## Path parameters:

  - `groupName` (string, required)
    Group name

## Query parameters:

  - `format` (string, required)
    Response format. Set to 'json' to get JSON response (HTML is returned by default)
    Example: "json"

## Response 200 fields (application/json):

  - `currentUserGroupPermissions` (object)

  - `group` (object)
    Detailed information about a group including internal data

  - `group.stats` (object)
    Group statistics

  - `group.stats.posts` (integer, required)
    Total number of posts

  - `group.stats.postsLast24h` (integer, required)
    Posts created in the last 24 hours

  - `group.stats.comments` (integer, required)
    Total number of comments

  - `group.stats.totalStorageBytes` (integer, required)
    Total uploaded bytes

  - `group.stats.avgPostsPerDay` (number, required)
    Average posts per day over the last 30 days

  - `group.stats.avgBytesPerDay` (number, required)
    Average uploaded bytes per day over the last 30 days

  - `group.stats.members` (integer, required)
    Count of active members in the group

  - `group.stats.totalEvents` (integer, required)
    Total group events recorded

  - `group.meta` (object, required)
    group metadata including color

  - `group.meta.color` (string, required)
    Group color in HEX format

  - `group.privacy` (string, required)
    who can access the group's content
    Enum: "PUBLIC", "PRIVATE"

  - `group.visibility` (string, required)
    how discoverable the group is
    Enum: "VISIBLE", "UNLISTED", "HIDDEN"

  - `group.joinMode` (string, required)
    how users can join the group
    Enum: "OPEN", "APPROVAL", "INVITE_ONLY"

  - `group.location` (object,null)
    group's location

  - `group.location.geo` (object,null, required)
    Coordinates and other geo data

  - `group.location.geo.latitude` (number, required)

  - `group.location.geo.longitude` (number, required)

  - `group.location.geo.altitude` (number,null)

  - `group.location.geo.accuracy` (number,null)

  - `group.location.geo.verticalAccuracy` (number,null)

  - `group.location.geo.speed` (number,null)

  - `group.location.geo.bearing` (number,null)

  - `group.location.geo.timestamp` (integer,null)

  - `group.location.name` (string,null, required)

  - `group.location.autoUpdate` (boolean, required)

  - `group.location.show` (boolean, required)

  - `group.timezone` (object,null)
    group's timezone

  - `group.timezone.ianaTimezone` (string,null, required)

  - `group.timezone.autoUpdate` (boolean, required)

  - `group.timezone.show` (boolean, required)

  - `group.isMember` (boolean,null)
    Whether the current viewer is a member of the group

  - `group.pin` (integer,null)
    Pin order number if group is pinned by viewer (null if not pinned)

  - `group.canManage` (boolean,null)
    Whether the current viewer can manage this group (owner, admin, or moderator)

  - `group.isOwner` (boolean,null)
    Whether the current viewer is an owner or admin of this group

  - `group.roles` (array,null)
    Viewer's roles in this group. Only populated in admin endpoints.

  - `group.groupId` (string, required)
    internal id of this group
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `group.groupName` (string, required)
    unique group name

  - `group.domain` (string, required)
    Group's domain

  - `group.local` (boolean, required)
    Whether this group is local to this server

  - `group.displayName` (string, required)
    full name of the group

  - `group.summary` (string, required)
    Group description

  - `group.uri` (string, required)
    URI of this group

  - `group.publicKey` (string, required)
    Group's public key for ActivityPub

  - `group.fields` (object)
    Custom fields for the group

  - `group.type` (string, required)
    the type of this group
    Enum: "CHANNEL", "INTEREST_GROUP", "ORGANIZATION"

  - `group.membersUrl` (string, required)
    URL to group members

  - `group.banner` (object,null)
    Group's header/banner upload

  - `group.banner.uploadId` (string, required)
    Internal id
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `group.banner.uploaderId` (string,null)
    User who physically uploaded this file. Null for platform-owned uploads (e.g., default covers). This is an audit/meta field — use ownerId for authorization.
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `group.banner.ownerId` (string, required)
    Entity that owns this upload (user, channel/group, or event). TypeID prefix indicates the owner type.
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `group.banner.attachedToId` (string,null)
    Entity this upload is attached to (e.g., a post or event). NULL for standalone uploads like avatars, covers, or media library items.
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `group.banner.uploadType` (string, required)
    Type of the upload
    Enum: "VIDEO", "IMAGE", "AUDIO", "DOCUMENT", "OTHER"

  - `group.banner.meta` (object)
    Meta data

  - `group.banner.meta.blurhash` (string,null)

  - `group.banner.meta.name` (string,null)

  - `group.banner.meta.altText` (string,null)

  - `group.banner.size` (integer, required)
    Size in bytes of all the files in this upload

  - `group.banner.files` (array, required)
    List of all the files this upload has

  - `group.banner.files.uri` (string,null, required)
    Full url of the file

  - `group.banner.files.fileId` (string, required)
    File id
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `group.banner.files.extension` (string, required)
    File extension
    Example: "mp4"

  - `group.banner.files.original` (boolean, required)
    true if this file is original, false if it is a derivative

  - `group.banner.files.meta` (object, required)
    File metadata. Contains optional values for width, height etc.

  - `group.banner.files.meta.duration` (number,null)
    Video duration in seconds

  - `group.banner.files.meta.width` (integer,null)
    Media width

  - `group.banner.files.meta.height` (integer,null)
    Media height

  - `group.banner.files.meta.codec` (string,null)
    Video codec

  - `group.banner.files.meta.rotate` (integer,null)
    Rotation in degrees

  - `group.banner.files.size` (integer, required)
    File size in bytes

  - `group.banner.files.createdAt` (string, required)
    Example: "2022-03-10T16:15:50Z"

  - `group.banner.files.updatedAt` (string, required)
    Example: "2022-03-10T16:15:50Z"

  - `group.banner.files.type` (string, required)
    File type
    Enum: "VIDEO", "IMAGE", "AUDIO", "DOCUMENT", "OTHER"

  - `group.banner.tags` (array, required)
    List of tags attached to upload
    Enum: "Post", "Avatar", "Header", "Album", "Emoji", "Event"

  - `group.banner.error` (string,null)
    Upload processing error

  - `group.banner.cached` (boolean)
    true if cached

  - `group.banner.logs` (string,null)
    Logs

  - `group.banner.remote` (boolean)
    true if this upload is remote

  - `group.banner.createdAt` (string, required)
    Example: "2022-03-10T16:15:50Z"

  - `group.banner.updatedAt` (string, required)
    Example: "2022-03-10T16:15:50Z"

  - `group.avatar` (object,null)
    Group's avatar

  - `group.avatar.uploadId` (string, required)
    Internal id
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `group.avatar.uploaderId` (string,null)
    User who physically uploaded this file. Null for platform-owned uploads (e.g., default covers). This is an audit/meta field — use ownerId for authorization.
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `group.avatar.ownerId` (string, required)
    Entity that owns this upload (user, channel/group, or event). TypeID prefix indicates the owner type.
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `group.avatar.attachedToId` (string,null)
    Entity this upload is attached to (e.g., a post or event). NULL for standalone uploads like avatars, covers, or media library items.
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `group.avatar.uploadType` (string, required)
    Type of the upload
    Enum: "VIDEO", "IMAGE", "AUDIO", "DOCUMENT", "OTHER"

  - `group.avatar.meta` (object)
    Meta data

  - `group.avatar.meta.blurhash` (string,null)

  - `group.avatar.meta.name` (string,null)

  - `group.avatar.meta.altText` (string,null)

  - `group.avatar.size` (integer, required)
    Size in bytes of all the files in this upload

  - `group.avatar.files` (array, required)
    List of all the files this upload has

  - `group.avatar.files.uri` (string,null, required)
    Full url of the file

  - `group.avatar.files.fileId` (string, required)
    File id
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `group.avatar.files.extension` (string, required)
    File extension
    Example: "mp4"

  - `group.avatar.files.original` (boolean, required)
    true if this file is original, false if it is a derivative

  - `group.avatar.files.meta` (object, required)
    File metadata. Contains optional values for width, height etc.

  - `group.avatar.files.meta.duration` (number,null)
    Video duration in seconds

  - `group.avatar.files.meta.width` (integer,null)
    Media width

  - `group.avatar.files.meta.height` (integer,null)
    Media height

  - `group.avatar.files.meta.codec` (string,null)
    Video codec

  - `group.avatar.files.meta.rotate` (integer,null)
    Rotation in degrees

  - `group.avatar.files.size` (integer, required)
    File size in bytes

  - `group.avatar.files.createdAt` (string, required)
    Example: "2022-03-10T16:15:50Z"

  - `group.avatar.files.updatedAt` (string, required)
    Example: "2022-03-10T16:15:50Z"

  - `group.avatar.files.type` (string, required)
    File type
    Enum: "VIDEO", "IMAGE", "AUDIO", "DOCUMENT", "OTHER"

  - `group.avatar.tags` (array, required)
    List of tags attached to upload
    Enum: "Post", "Avatar", "Header", "Album", "Emoji", "Event"

  - `group.avatar.error` (string,null)
    Upload processing error

  - `group.avatar.cached` (boolean)
    true if cached

  - `group.avatar.logs` (string,null)
    Logs

  - `group.avatar.remote` (boolean)
    true if this upload is remote

  - `group.avatar.createdAt` (string, required)
    Example: "2022-03-10T16:15:50Z"

  - `group.avatar.updatedAt` (string, required)
    Example: "2022-03-10T16:15:50Z"

  - `group.deletedAt` (string,null)
    Group deletion timestamp
    Example: "2022-03-10T16:15:50Z"

  - `group.createdAt` (string)
    Group's creation timestamp
    Example: "2022-03-10T16:15:50Z"

  - `group.updatedAt` (string)
    Group's last update timestamp
    Example: "2022-03-10T16:15:50Z"

  - `group.refreshedAt` (string)
    Group's last refresh timestamp
    Example: "2022-03-10T16:15:50Z"

  - `group.secret` (boolean)

  - `groupApps` (array)

  - `groupApps.id` (string, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `groupApps.name` (string, required)

  - `groupApps.manifest` (object, required)

  - `groupApps.manifest.id` (string, required)

  - `groupApps.manifest.name` (string, required)

  - `groupApps.manifest.description` (string, required)

  - `groupApps.manifest.version` (string, required)

  - `groupApps.manifest.releasedOn` (string, required)
    Example: "2022-03-10T16:15:50Z"

  - `groupApps.manifest.developer` (object, required)

  - `groupApps.manifest.developer.name` (string, required)

  - `groupApps.manifest.developer.website` (string, required)

  - `groupApps.manifest.icons` (array)

  - `groupApps.manifest.previews` (array)

  - `groupApps.manifest.routes` (array)

  - `groupApps.manifest.routes.path` (string, required)

  - `groupApps.manifest.routes.handler` (string,null, required)

  - `groupApps.manifest.routes.description` (string,null, required)

  - `groupApps.manifest.routes.entryPointFor` (string,null)
    Enum: "GLOBAL", "USER", "GROUP"

  - `groupApps.manifest.routes.order` (integer)

  - `groupApps.manifest.routes.permissions` (object,null)

  - `groupApps.manifest.routes.permissions.anyOf` (array,null)

  - `groupApps.manifest.routes.permissions.anyOf.resource` (string, required)
    The type-safe resource being controlled
    Enum: "AIAgents", "AIModels", "AIProviders", "AdminSettings", "AppData", "Apps", "Audit", "Data", "Emojis", "Federation", "Group", "GroupAIAgents", "GroupAIModels", "GroupAIProviders", "GroupApps", "GroupChannels", "GroupData", "GroupMembers", "GroupQuestions", "GroupReports", "GroupRoles", "GroupSettings", "Integrations", "Jobs", "Reports", "Roles", "Rules", "Signups", "Uploads", "Users"

  - `groupApps.manifest.routes.permissions.anyOf.actions` (array, required)
    List of allowed type-safe actions for this resource
    Enum: "Delete", "Impersonate", "Invite", "Manage", "Moderate", "Post", "PostAsChannel", "PostsRead", "Read", "UpdateStats"

  - `groupApps.manifest.routes.permissions.allOf` (array,null)

  - `groupApps.manifest.routes.permissions.allOf.resource` (string, required)
    The type-safe resource being controlled
    Enum: "AIAgents", "AIModels", "AIProviders", "AdminSettings", "AppData", "Apps", "Audit", "Data", "Emojis", "Federation", "Group", "GroupAIAgents", "GroupAIModels", "GroupAIProviders", "GroupApps", "GroupChannels", "GroupData", "GroupMembers", "GroupQuestions", "GroupReports", "GroupRoles", "GroupSettings", "Integrations", "Jobs", "Reports", "Roles", "Rules", "Signups", "Uploads", "Users"

  - `groupApps.manifest.routes.permissions.allOf.actions` (array, required)
    List of allowed type-safe actions for this resource
    Enum: "Delete", "Impersonate", "Invite", "Manage", "Moderate", "Post", "PostAsChannel", "PostsRead", "Read", "UpdateStats"

  - `groupApps.manifest.visibility` (string)
    Enum: "PUBLIC", "UNLISTED"

  - `groupApps.manifest.type` (string)
    Enum: "REGULAR", "ERROR", "TOOLBAR"

  - `groupApps.manifest.trust-level` (string)
    Enum: "STANDARD", "TRUSTED", "SYSTEM"

  - `groupApps.manifest.standard` (boolean)

  - `groupApps.enabled` (boolean)

  - `groupApps.updatedAt` (string, required)
    Example: "2022-03-10T16:15:50Z"


## Response 404 fields
